post
https://{defaultHost}/api/v4/campaigns//pause
Pauses the specified dialer campaign.
The Pause campaign endpoint pauses the specified Dialer campaign.
Requirements: Base URL, Authentication, Error codes
Scope: campaigns.manage
What this does
When you send a Pause campaign request,
Voiso
pauses the campaign and returns the updated campaign object.
Endpoint
POST /api/v4/campaigns/{campaign_id}/pause
Path parameters
- campaign_id
The unique identifier of the campaign.
You can get the campaign ID from the Campaigns page in
Voiso, or by using the Get list of campaigns endpoint.
Request body
This endpoint does not require a request body.
Example request
curl -X POST "https://{cluster_id}.voiso.com/api/v4/campaigns/3/pause" \
-H "Authorization: Bearer <contact_center_api_key>" \
-H "Content-Type: application/json"Response
If successful, the API returns the updated campaign object.
{
"id": 3,
"name": "Summer Outreach Campaign",
"status": "paused",
"strategy": "simple",
"dial_level": 1
}Troubleshooting
401 Unauthorized
Returned if the API key is missing or invalid.
403 Forbidden
Returned if the API key does not have access to Campaigns resources.
404 Not found
Returned if the campaign does not exist.
409 Conflict
Returned if the campaign cannot be paused in its current state (for example, it is already paused or is in a transitional state).
429 Too many requests
Returned if requests are rate limited.